#include <math.h>

void scalet (float kinetic, float vx[], float vy[], float vz[], int natm, int step)
{
   extern int iscale;
   extern float eqtemp;
   extern float tmpx;
   float scalef;
   int i;

   if (step%iscale==0) scalef = sqrt((double)(eqtemp/tmpx));
   else scalef = sqrt ((double)(eqtemp/(2.0*kinetic/(3.0*(float)(natm-1)))));

	#pragma omp parallel for private(i) shared(natm,vx,vy,vz,scalef)
   for(i=0;i<natm;i++){
      vx[i] *= scalef;
      vy[i] *= scalef;
      vz[i] *= scalef;
   }
}

